## TODO
add: config GUI (nepenp)
add: parameters to control deposit size proportions (infinus5)
fix /stip command breaking tile entities such as chests causing their contents to fall down

## 4.1.2.0
* updated to Minecraft 1.16.4
* __requires: ForgeEndertech 7.0.7.0 or above__

## 4.1.1.0
+ added: command '/lods genat' to generate ore deposit at a specified location (thanks to Pein_Calamity)
* fixed: saved data on generated deposits being not loaded correctly
* __requires: ForgeEndertech 7.0.6.0 or above__

## 4.1.0.1
fixed: incorrect biome comparison causing biome whitelist/blacklist to fail (thanks to bessiq)
* __requires: ForgeEndertech 7.0.6.0 or above__

## 4.1.0.0
* reimplemented: vanilla ore generation control with new config parameters (thanks to UUUUUnoyzal and IluzMojo) 
* implemented: conversion of deposit names to lower case to prevent generating invalid ore IDs (thanks to zorgora)
* optimized: algorithm for searching aboveground indicator's proper position  
* fixed: unnecessary feature registration causing the 'Unknown registry element' error (thanks to SDUBZ_)
* fixed: indicators spawning on the top of the bedrock ceiling in the Nether (thanks to SuperMax641) 
* done: lots of refactorings
* __requires: ForgeEndertech 7.0.5.0 or above__

## 4.0.2.1
* fixed: water loggable blocks being not placed as aboveground indicators (thanks to Mizhok)
* __requires: ForgeEndertech 7.0.4.0 or above__

## 4.0.2.0
* updated to Minecraft 1.16.3
* __requires: ForgeEndertech 7.0.4.0 or above__

## 4.0.1.0
* updated to Minecraft 1.16.2
* fixed: commands not working after /reload (thanks to bessiq)
* __requires: ForgeEndertech 7.0.3.0 or above__

## 4.0.0.0
* ported to Minecraft 1.16.1
+ added: support for Ancient Debris
+ added: support for Nether Gold
+ added: support for Nether Quartz
* __requires: ForgeEndertech 7.0.0.0 or above__

## 3.0.3.0
+ added: new config parameters to make aboveground indicators less noticeable (thanks to ZoraergazU) 
* fixed: indicators being placed under water or lava
* improved: circular floral patterns for all indicators (delete old configs in the Deposits folder)
* __requires: ForgeEndertech 6.0.2.2 or above__

## 3.0.2.0
+ implemented: circular aboveground indicators for each deposit (thanks to Jomeaga and BeefaloBoi)
+ implemented: new built-in configs with predefined indicators
+ added: "Indicator.circles" config parameter to define circular indicators
* fixed: an issue where only the lower half of a double plant was placed as an indicator
* fixed: an issue where the "strip" command caused neighbor reactions, destroying double plants and causing liquids to fall 
* __requires: ForgeEndertech 6.0.2.1 or above__

## 3.0.1.0
+ added: optional arguments to the "/lods gen" command to generate ore deposit at a specified location
+ changed: the required op level from 3 to 2, so that all commands could be executed in a command block (thanks to arielylane)
* fixed: description of the "Deposit.ore" config parameter
* fixed: a crash when trying to configure the mod through the game menu (thanks to amadeus_art)
* __requires: ForgeEndertech 6.0.0.0 or above__

## 3.0.0.0
* ported to Minecraft 1.15.2
* __requires: ForgeEndertech 6.0.0.0 or above__

## 2.0.0.0
* ported to Minecraft 1.14.4
* __requires: ForgeEndertech 5.2.1.0 or above__

## 1.0.6.2
* fixed: an issue where deposits with the rarity greater than 9999 were not working (thanks to LegitGamer1017)
* __requires: ForgeEndertech 4.4.22.2 or above__ 

## 1.0.6.1
* fixed: an issue where the /lods strip command removed non-ore blocks defined in custom deposits (thanks to sowby911)
* fixed: creation of deposits for non-existent ores from removed mods, that were previously generated in the world
* __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.6.0
+ added: configs to control over the vanilla ore generation (enabling/disabling, setting dimension/biome restrictions) (thanks to sowby911) 
* __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.5.1
* fixed: broken generation of ores not registered in the Ore Dictionary as ores (thanks to dadobug1111)
* __requires: ForgeEndertech 4.4.22.1 or above__

## 1.0.5.0
+ added: new commands for quick creating and removing deposit configs
* __requires: ForgeEndertech 4.4.20.0 or above__

## 1.0.4.1
* fixed: a crash during world generation with java.lang.NoSuchMethodError: com.endertech.minecraft.mods.adlods.ore.Vein.build()
* __requires: ForgeEndertech 4.4.18.0 or above__

## 1.0.4.0
+ added: configs for the most common gemstones
* __requires: ForgeEndertech 4.4.16.0 or above__

## 1.0.3.0
+ added: config for uranium
+ implemented: ability to define an above-ground indicator for underlying deposit (thanks to gooseapple56)
* __requires: ForgeEndertech 4.4.15.0 or above__

## 1.0.2.0
+ added: configs for the most common base and precious metals
* rebalanced: default configs (delete old configs from the Deposits folder)
* fixed: cascading worldgen lag
* done: a lot of refactoring

## 1.0.1.0
+ implemented: black/white lists for biomes
* __requires: ForgeEndertech 4.4.14.0 or above__

## 1.0.0.0
* initial release
* __requires: ForgeEndertech 4.4.13.0 or above__
